diff --git a/src/gui/res/lang/gui_ca-AD.ts b/src/gui/res/lang/gui_ca-AD.ts
index d001742b..2dfce137 100644
--- a/src/gui/res/lang/gui_ca-AD.ts
+++ b/src/gui/res/lang/gui_ca-AD.ts
@@ -333,160 +397,165 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <translation type="finished">Synergy</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="54"/>
+        <location filename="res/MainWindowBase.ui" line="90"/>
+        <source>Ser&amp;ver (share this computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="243"/>
         <source>Screen name:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Nom pantalla:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="61"/>
+        <location filename="res/MainWindowBase.ui" line="257"/>
         <source>&amp;Server IP:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">IP del Servidor:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="160"/>
-        <location filename="res/MainWindowBase.ui" line="315"/>
+        <location filename="res/MainWindowBase.ui" line="380"/>
+        <location filename="res/MainWindowBase.ui" line="409"/>
         <source>&amp;Start</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Engegar</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="187"/>
-        <source>&amp;Server (share this computer's mouse and keyboard):</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="254"/>
+        <location filename="res/MainWindowBase.ui" line="181"/>
         <source>Use existing configuration:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Utilitzar la configuració actual:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="263"/>
+        <location filename="res/MainWindowBase.ui" line="190"/>
         <source>&amp;Configuration file:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Fitxer &amp;configuració:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="283"/>
+        <location filename="res/MainWindowBase.ui" line="210"/>
         <source>&amp;Browse...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Mostrar...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="220"/>
+        <location filename="res/MainWindowBase.ui" line="147"/>
         <source>Configure interactively:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Configurar interactivament:</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="232"/>
+        <location filename="res/MainWindowBase.ui" line="159"/>
         <source>&amp;Configure Server...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Configurar Servidor...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="39"/>
-        <source>&amp;Client (use another computer's keyboard and mouse):</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="84"/>
+        <location filename="res/MainWindowBase.ui" line="350"/>
         <source>Ready</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="91"/>
-        <source>Log</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="167"/>
-        <source>&amp;Apply</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="174"/>
-        <source>&amp;Elevate</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="res/MainWindowBase.ui" line="204"/>
-        <source>IP addresses:</source>
-        <translation type="finished">Adressa IP:</translation>
+        <translation type="finished">Llest</translation>
     </message>
     <message>
         <location filename="res/MainWindowBase.ui" line="296"/>
+        <source>Log</source>
+        <translation type="finished">Log</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="373"/>
+        <source>&amp;Apply</source>
+        <translation type="finished">Aplicar</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="107"/>
+        <source>IP addresses:</source>
+        <translation type="finished">Adreces IP:</translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="131"/>
+        <source>Fingerprint:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="228"/>
+        <source>&amp;Client (use another computer's mouse and keyboard):</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="270"/>
+        <source>Auto config</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/MainWindowBase.ui" line="390"/>
         <source>&amp;About Synergy...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">En &amp;quant a Synergy...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="304"/>
+        <location filename="res/MainWindowBase.ui" line="398"/>
         <source>&amp;Quit</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Sortir</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="307"/>
+        <location filename="res/MainWindowBase.ui" line="401"/>
         <source>Quit</source>
-        <translation type="finished">Surt</translation>
+        <translation type="finished">Sortir</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="318"/>
+        <location filename="res/MainWindowBase.ui" line="412"/>
         <source>Run</source>
-        <translation type="finished">Corre</translation>
+        <translation type="finished">Executa</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="329"/>
+        <location filename="res/MainWindowBase.ui" line="423"/>
         <source>S&amp;top</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">A&amp;turar</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="332"/>
+        <location filename="res/MainWindowBase.ui" line="426"/>
         <source>Stop</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Aturar</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="340"/>
+        <location filename="res/MainWindowBase.ui" line="434"/>
         <source>S&amp;how Status</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Mostrar Estat</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="348"/>
+        <location filename="res/MainWindowBase.ui" line="442"/>
         <source>&amp;Hide</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">A&amp;maga</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="351"/>
+        <location filename="res/MainWindowBase.ui" line="445"/>
         <source>Hide</source>
         <translation type="finished">Amaga</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="359"/>
+        <location filename="res/MainWindowBase.ui" line="453"/>
         <source>&amp;Show</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Mo&amp;stra</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="362"/>
+        <location filename="res/MainWindowBase.ui" line="456"/>
         <source>Show</source>
         <translation type="finished">Mostra</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="370"/>
+        <location filename="res/MainWindowBase.ui" line="464"/>
         <source>Save configuration &amp;as...</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Guardar configuració com...</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="373"/>
+        <location filename="res/MainWindowBase.ui" line="467"/>
         <source>Save the interactively generated server configuration to a file.</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Guardar la configuració del servidor generada interactivament a un fitxer.</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="381"/>
+        <location filename="res/MainWindowBase.ui" line="475"/>
         <source>Settings</source>
         <translation type="finished">Configuració</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="384"/>
+        <location filename="res/MainWindowBase.ui" line="478"/>
         <source>Edit settings</source>
         <translation type="finished">Editar configuració</translation>
     </message>
     <message>
-        <location filename="res/MainWindowBase.ui" line="392"/>
+        <location filename="res/MainWindowBase.ui" line="486"/>
         <source>Run Wizard</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Executar Assistent</translation>
     </message>
 </context>
 <context>
@@ -494,38 +563,126 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="src/NewScreenWidget.cpp" line="32"/>
         <source>Unnamed</source>
+        <translation type="finished">Sense nom</translation>
+    </message>
+</context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">Configurar Synergy</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
         <translation type="unfinished"></translation>
     </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Configuracions Synergy (*.sgc);;Tots els arxius (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Configuracions Synergy (*.conf);;Tots els arxius (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">La safata del sistema no està disponible, sortint.</translation>
     </message>
 </context>
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">El nom de pantalla és buit</translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
-        <translation type="unfinished"></translation>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="finished">El nom de pantalla no pot estar buit. Si us plau introdueix un nom o cancel·la el diàleg.</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="finished">Nom de pantalla coincideix amb l'àlies</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
+        <translation type="finished">El nom de pantalla no pot ser el mateix que un àlies. Si us plau treu l'àlies o bé canvia el nom de la pantalla.</translation>
     </message>
 </context>
 <context>
@@ -533,37 +690,37 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="14"/>
         <source>Screen Settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Configuració Pantalla</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="22"/>
         <source>Screen &amp;name:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Nom pantalla:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="42"/>
         <source>A&amp;liases</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">À&amp;lies</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="57"/>
         <source>&amp;Add</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">A&amp;fegir</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="74"/>
         <source>&amp;Remove</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Elimina&amp;r</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="97"/>
         <source>&amp;Modifier keys</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Modificar claus</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="106"/>
         <source>&amp;Shift:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Shift:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="117"/>
@@ -599,7 +756,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="273"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="320"/>
         <source>Meta</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Meta</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="137"/>
@@ -608,7 +765,7 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="278"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="325"/>
         <source>Super</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Super</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="142"/>
@@ -617,82 +774,82 @@ This allows Synergy to interact with elevated processes and the UAC dialog, but
         <location filename="res/ScreenSettingsDialogBase.ui" line="283"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="330"/>
         <source>None</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Cap</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="150"/>
         <source>&amp;Ctrl:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Ctrl:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="197"/>
         <source>Al&amp;t:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Al&amp;t:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="244"/>
         <source>M&amp;eta:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">M&amp;eta:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="291"/>
         <source>S&amp;uper:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">S&amp;uper:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="358"/>
         <source>&amp;Dead corners</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Cantonades mortes</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="367"/>
         <source>Top-left</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Amunt-esquerra</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="374"/>
         <source>Top-right</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Amunt-dreta</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="381"/>
         <source>Bottom-left</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Avall-esquerra</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="388"/>
         <source>Bottom-right</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Avall-dreta</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="397"/>
         <source>Corner Si&amp;ze:</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Mida cantonada:</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="428"/>
         <source>&amp;Fixes</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Fixes</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="437"/>
         <source>Fix CAPS LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Arreglar tecla CAPS LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="444"/>
         <source>Fix NUM LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Arreglar tecla NUM LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="451"/>
         <source>Fix SCROLL LOCK key</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Arreglar tecla SCROLL LOCK</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="458"/>
         <source>Fix XTest for Xinerama</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">Arreglar XTest per Xinerama</translation>
     </message>
 </context>
 <context>
